Skip to main content

Tokenize Card Temporarily

POST 

/temporary-payment-tokens

Creates a temporary card token for the duration of the session.

Request

Body

required

    processingEntityId uuidrequired

    Processing entityId provided by Nuvei.

    Example: 80aef199-b89a-4d59-ba0c-f2cd3c25d5cd

    paymentOption

    object

    required

    card

    object

    required

    cardHolderName CardHolderName (string)

    The cardholder name.

    Possible values: <= 70 characters

    Example: Jada Pinkett
    cardNumber Card Number (string)required

    The full credit card number.

    Possible values: >= 6 characters and <= 20 characters

    Example: 5113981660016597
    expirationMonth Card Expiration - Month (string)required

    The card expiration month.

    Possible values: Value must match regular expression ^(0[1-9]|1[0-2])$

    Example: 06
    expirationYear Card Expiration - Year (string)required

    The card expiration year.

    Possible values: Value must match regular expression ^(\d{4}|\d{2})$

    Example: 2022
    cvv CVV (string)

    The CVV/CVC security code.

    Possible values: <= 4 characters

    Example: 591
    selectedBrand string
    custom object
    Example: {"hello":"world"}

Responses

OK

Schema

    temporaryPaymentToken

    object

    paymentTokenId Payment Token ID (string)required
    Example: 1eaf1356-a9a2-4a16-a0c1-290ba2265257

    paymentOption

    object

    required

    card

    object

    cardHolderName CardHolderName (string)

    The cardholder name.

    Possible values: <= 70 characters

    Example: Jada Pinkett
    maskedCardNumber CardNumberMasked (string)

    The masked credit card number.

    Possible values: <= 20 characters

    Example: 5***6597
    bin CardBIN (string)

    The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed.

    Possible values: <= 8 characters

    Example: 546221
    expirationMonth Card Expiration - Month (string)required

    The card expiration month.

    Possible values: Value must match regular expression ^(0[1-9]|1[0-2])$

    Example: 06
    expirationYear Card Expiration - Year (string)required

    The card expiration year.

    Possible values: Value must match regular expression ^(\d{4}|\d{2})$

    Example: 2022
    cardType CardType (string)

    The type of card used in the transaction.

    Possible values: [Credit, Debit]

    cardBrand CardBrand (string)

    The card brand used in the transaction.

    secondaryBrand CardBrand (string)

    The card brand used in the transaction.

    isDualBranded boolean
    lastBrand CardBrand (string)

    The card brand used in the transaction.

    cardProduct string
    cardProgram string
    cardProductType string
    isPrepaid boolean

    Indicates if the card is prepaid or not.

    issuerCountry string

    Possible values: >= 2 characters and <= 2 characters

    issuerBankName string
    isVirtual boolean
    isDynamicCurrencyConversionSupported boolean
    selectedBrand string

    result

    object

    required

    status stringrequired

    Possible values: [success, error]

    errors

    object

    code string

    If an error occurred on the request side, an error code is returned in this parameter.

    Possible values: <= 11 characters

    Example: 7000.1000
    reason string

    If an error occurred on the request side, then an error reason is returned in this parameter.

    Possible values: <= 400 characters

    Example: Unexpected error
    reference string

    Internal reference for troubleshooting

    Possible values: <= 400 characters

Loading...